ThreadSpecificData Class Reference

This class contains all the thread-specific data in use by log4cxx. More...

## Public Member Functions

| ThreadSpecificData ()
| ~ThreadSpecificData ()
void | recycle ()
| Release this ThreadSpecficData if empty. More...
log4cxx::NDC::Stack & | getStack ()
log4cxx::MDC::Map & | getMap ()

## Static Public Member Functions

static ThreadSpecificData * | getCurrentData ()
| Gets current thread specific data. More...
static void | put (const LogString &key, const LogString &val)
static void | push (const LogString &val)
static void | inherit (const log4cxx::NDC::Stack &stack)

## Detailed Description

This class contains all the thread-specific data in use by log4cxx.

## Constructor & Destructor Documentation

## ThreadSpecificData()

ThreadSpecificData | ( |  | ) |

## ~ThreadSpecificData()

~ThreadSpecificData | ( |  | ) |

## Member Function Documentation

## getCurrentData()

static ThreadSpecificData* getCurrentData | ( |  | ) |

static

Gets current thread specific data.

Returns
  thread specific data, may be null.

## getMap()

log4cxx::MDC::Map& getMap | ( |  | ) |

## getStack()

log4cxx::NDC::Stack& getStack | ( |  | ) |

## inherit()

static void inherit | ( | const log4cxx::NDC::Stack & | stack | ) |

static

## push()

static void push | ( | const LogString & | val | ) |

static

## put()

static void put | ( | const LogString & | key,
|  | const LogString & | val
| ) |  |

static

## recycle()

void recycle | ( |  | ) |

Release this ThreadSpecficData if empty.

The documentation for this class was generated from the following file:

- threadspecificdata.h